package com.yunfeiyun.agmp.fms.mapper;

import com.yunfeiyun.agmp.fms.domain.FmsCrop;
import com.yunfeiyun.agmp.fms.domain.FmsPeriod;

import java.util.List;

/**
 * 作物周期Mapper接口
 * 
 * @author 杨晓辉
 * @date 2023-05-16
 */
public interface FmsPeriodMapper 
{
    /**
     * 查询作物周期
     * 
     * @param periodId 作物周期主键
     * @return 作物周期
     */
    public FmsPeriod selectFmsPeriodByPeriodId(String periodId);

    /**
     * 查询作物周期
     *
     * @param cropId 作物主键
     * @return 作物周期
     */
    public List<FmsPeriod> selectFmsPeriodByCropId(String cropId);

    /**
     * 查询作物周期列表
     * 
     * @param fmsPeriod 作物周期
     * @return 作物周期集合
     */
    public List<FmsPeriod> selectFmsPeriodList(FmsPeriod fmsPeriod);

    /**
     * 查询有生成周期的作物
     *
     * @return 作物周期集合
     */
    public List<FmsCrop> selectFmsCropHasPeriod();

    /**
     * 新增作物周期
     * 
     * @param fmsPeriod 作物周期
     * @return 结果
     */
    public int insertFmsPeriod(FmsPeriod fmsPeriod);

    /**
     * 新增作物周期
     *
     * @param list 作物周期
     * @return 结果
     */
    public int insertFmsPeriodBatch(List<FmsPeriod> list);


    /**
     * 修改作物周期
     * 
     * @param fmsPeriod 作物周期
     * @return 结果
     */
    public int updateFmsPeriod(FmsPeriod fmsPeriod);

    /**
     * 删除作物周期
     * 
     * @param periodId 作物周期主键
     * @return 结果
     */
    public int deleteFmsPeriodByPeriodId(String periodId);

    /**
     * 批量删除作物周期
     * 
     * @param periodIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFmsPeriodByPeriodIds(String[] periodIds);

    /**
     * 删除作物周期
     *
     * @param cropId 作物主键
     * @return 结果
     */
    public int deleteFmsPeriodByCropId(String cropId);

}
